com.atid.lib.module.barcode.spc.param

## Class SPCParamValueList

- java.lang.Object
- - com.atid.lib.module.barcode.spc.param.SPCParamValueList

-     public class SPCParamValueList
      extends java.lang.Object

  Get or Set data of barcode scanner's parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPCParamValueList()` Create an instance of the SPCParamValueList class.
    `SPCParamValueList(SPCParamValue item)` Create an instance of the SPCParamValueList class.
    `SPCParamValueList(SPCParamValue[] items)` Create an instance of the SPCParamValueList class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(SPCParamValue item)` Add parameter information to the SPCParamValueList instance.
    `boolean` | `add(SPCParamValue[] items)` Add all the information for the SPCParamValueList instance.
    `SPCParamValue` | `get(int index)` Returns the parameter information of the barcode module.
    `SPCParamValue` | `getAt(SPCParamName name)` Returns the parameter information of the barcode module.
    `java.lang.String` | `getCommand(int engine)` Returns the parameters of the SPCParamValueList.
    `int` | `getCount()` Returns the type of parameter stored in the SPCParamValueList instance and the number of pieces of information in the value pair.
    `java.lang.Object` | `getValue(int index)` Returns the parameter value of the SPCParamValueList.
    `java.lang.Object` | `getValueAt(SPCParamName name)` Returns the parameter value of the SPCParamValueList.
    `static SPCParamValueList` | `parseParams(java.lang.String data, int engine)` Returns the parameter name and value of the barcode module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPCParamValueList

          public SPCParamValueList()

      Create an instance of the SPCParamValueList class.

    - #### SPCParamValueList

          public SPCParamValueList(SPCParamValue item)

      Create an instance of the SPCParamValueList class.

    - #### SPCParamValueList

          public SPCParamValueList(SPCParamValue[] items)

      Create an instance of the SPCParamValueList class.

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns the type of parameter stored in the SPCParamValueList instance and the number of pieces of information in the value pair.
      Returns:
        An integer representing the count.

    - #### add

          public boolean add(SPCParamValue item)

      Add parameter information to the SPCParamValueList instance.
      Parameters:
        `item` - SPCParamValue represent the parameter type and value.
      Returns:
        An boolean The result of adding the SPCParamValueList instance.

    - #### add

          public boolean add(SPCParamValue[] items)

      Add all the information for the SPCParamValueList instance.
      Parameters:
        `items` - An instance of SPCParamValueList with added parameter informations.
      Returns:
        An boolean The result of adding the SPCParamValueList instance.

    - #### getAt

          public SPCParamValue getAt(SPCParamName name)
                              throws ATException

      Returns the parameter information of the barcode module.
      Parameters:
        `name` - An identifier representing the name of the information in the SPCParamValueList.
      Returns:
        A SPCParamValue that specifies the name and value of the parameter of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### get

          public SPCParamValue get(int index)
                            throws ATException

      Returns the parameter information of the barcode module.
      Parameters:
        `index` - An identifier representing the location of the information in the SPCParamValueList.
      Returns:
        A SPCParamValue that specifies the name and value of the parameter of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getValueAt

          public java.lang.Object getValueAt(SPCParamName name)
                                      throws ATException

      Returns the parameter value of the SPCParamValueList.
      Parameters:
        `name` - An identifier representing the name of the information in the SPCParamValueList.
      Returns:
        A Object that specifies the value of the SPCParamValueList of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getValue

          public java.lang.Object getValue(int index)
                                    throws ATException

      Returns the parameter value of the SPCParamValueList.
      Parameters:
        `index` - An identifier representing the location of the information in the SPCParamValueList.
      Returns:
        A Object that specifies the value of the SPCParamValueList of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getCommand

          public java.lang.String getCommand(int engine)
                                      throws ATException

      Returns the parameters of the SPCParamValueList.
      Parameters:
        `engine` - An identifier representing the type of the barcode module.
      Returns:
        A String that specifies the parameters of the SPCParamValueList of the barcode module to be set.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### parseParams

          public static SPCParamValueList parseParams(java.lang.String data,
                                                      int engine)
                                               throws ATException

      Returns the parameter name and value of the barcode module.
      Parameters:
        `data` - An identifier representing the parameter name and value of the barcode module.
        `engine` - An identifier representing the type of the barcode module.
      Returns:
        A SPCParamValueList that specifies the parameter name and value of the barcode module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.